webpage/docs/api/members-list.api.mdx
import MethodEndpoint from "@theme/ApiExplorer/MethodEndpoint"; import ParamsDetails from "@theme/ParamsDetails"; import RequestSchema from "@theme/RequestSchema"; import StatusCodes from "@theme/StatusCodes"; import OperationTabs from "@theme/OperationTabs"; import TabItem from "@theme/TabItem"; import Heading from "@theme/Heading";
<Heading as={"h1"} className={"openapi__heading"} children={"List Members"}
</Heading>
<MethodEndpoint method={"get"} path={"/api/members"} context={"endpoint"}
</MethodEndpoint>
Retrieve a list of all members.
<Heading id={"request"} as={"h2"} className={"openapi-tabs__heading"} children={"Request"}
</Heading>
<ParamsDetails parameters={[{"in":"query","name":"limit","schema":{"type":"number"}},{"in":"query","name":"offset","schema":{"type":"number"}}]}
</ParamsDetails>
<RequestSchema title={"Body"} body={undefined}
</RequestSchema>
<StatusCodes id={undefined} label={undefined} responses={{"200":{"description":"Members retrieved successfully.","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the member."},"profile":{"x-tags":["members"],"type":"object","properties":{"name":{"type":"string","description":"The name of the member."},"is_admin":{"type":"boolean","description":"Indicates if the member is an admin."},"can_login":{"type":"boolean","description":"Indicates if the member can log in."},"can_connect":{"type":"boolean","description":"Indicates if the member can connect."},"can_watch":{"type":"boolean","description":"Indicates if the member can watch."},"can_host":{"type":"boolean","description":"Indicates if the member can host."},"can_share_media":{"type":"boolean","description":"Indicates if the member can share media."},"can_access_clipboard":{"type":"boolean","description":"Indicates if the member can access the clipboard."},"sends_inactive_cursor":{"type":"boolean","description":"Indicates if the member sends inactive cursor."},"can_see_inactive_cursors":{"type":"boolean","description":"Indicates if the member can see inactive cursors."},"plugins":{"type":"object","additionalProperties":true,"description":"Additional plugin settings."}},"title":"MemberProfile","description":"The profile information of the member."}},"title":"MemberData"}}}}},"401":{"description":"The request requires user authentication.","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Detailed error message."}},"title":"ErrorMessage"}}}},"403":{"description":"The server understood the request, but refuses to authorize it.","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Detailed error message."}},"title":"ErrorMessage"}}}}}}
</StatusCodes>